/*
Accordion Manager
Version: 0.2
By: Donovan Hubbard
donovan@donovanh.com

Use freely at your own risk. Feed back is welcome.

UPDATES
	0.2 - added patch for getElementByClassName to work in older versions of IE
*/
function AccordionManager()
{
	this.init = function(){ init(); }
	this.toggle = function(elm, cls){ toggleDisplay(elm, cls); }
	//
	function init()
	{
		var acm_arr = getElementsByClassName("accordion_menu");
		for(var a=0;a<acm_arr.length;a++)
		{
			var acm_kids = acm_arr[a].getElementsByTagName("div");
			for(var b=0;b<acm_kids.length;b++)
			{
				var ttl = acm_kids[b].getElementsByTagName("div")[0];
				if(ttl!=undefined)
				{
					ttl.onclick = function(){ toggleDisplay(this); }
					ttl.setAttribute("class", "acmen_title_closed");
				}
				var cont = acm_kids[b].getElementsByTagName("div")[1];
				if(cont!=undefined)
					cont.style.display = "none";
			}
		}
	}
	function toggleDisplay(elm, cls)
	{
		var close = cls==undefined?null:cls;
		var par = elm.parentNode;
		var cont = par.getElementsByTagName("div")[1];
		if(close!=null)
		{
			close ? cont.style.display = "none" : cont.style.display = "block";
		}
		if(cont.style.display == "none")
		{	
			elm.setAttribute("class", "acmen_title_open");
			cont.style.display = "block";
		}else
		{
			elm.setAttribute("class", "acmen_title_closed");
			cont.style.display = "none";
		}
	}
}
/*
	getElementsByClassName patch for IE
	http://stackoverflow.com/questions/7410949/javascript-document-getelementsbyclassname-compatibility-with-ie
*/
function getElementsByClassName(node, classname) {
    var a = [];
    var re = new RegExp('(^| )'+classname+'( |$)');
    var els = node.getElementsByTagName("*");
    for(var i=0,j=els.length; i<j; i++)
        if(re.test(els[i].className))a.push(els[i]);
    return a;
}
